type valgrad_func = float array -> float array -> float
external c_lbfgs : 
    valgrad_func -> int -> float array -> float -> int -> int*float = "c_lbfgs"

let minimize f x =
  flush stdout; 
  c_lbfgs f (Array.length x) x 1.0e-5 100

let minimizep f x xtol maxiter = 
  flush stdout; 
  c_lbfgs f (Array.length x) x xtol maxiter
